"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var child_process_1 = require("child_process");
var path_1 = tslib_1.__importDefault(require("path"));
/**
 * Increaase UV_THREADPOOL_SIZE to prevent deadlock in SCSS compilation
 * https://github.com/webpack-contrib/sass-loader/issues/100
 */
process.env.UV_THREADPOOL_SIZE = '128';
var filePath = path_1.default.resolve(__dirname, 'index.js');
var env = tslib_1.__assign({}, process.env);
var proc = child_process_1.fork(filePath, process.argv.slice(2), {
    env: env,
    execArgv: tslib_1.__spreadArrays(process.execArgv, [
        // Node runs out of memory when re-exporting the glamorous 4 typings
        // with TypeScript 2.4
        // https://github.com/Microsoft/TypeScript/issues/17070
        '--max-old-space-size=4096',
    ]),
});
proc.on('error', function () {
    process.exit(1);
});
proc.on('exit', function (code) {
    process.exit(code || undefined);
});
//# sourceMappingURL=_pwt.js.map