"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var webpack_1 = tslib_1.__importDefault(require("webpack"));
var webpack_bundle_analyzer_1 = require("webpack-bundle-analyzer");
var webpack_merge_1 = tslib_1.__importDefault(require("webpack-merge"));
var build_1 = require("../build/build");
var webpack_2 = require("../util/webpack");
/**
 * Opens the webpack-bundle-analyzer for the client production bundle
 */
var exploreBundle = function (log, buildConfig) {
    var args = [];
    for (var _i = 2; _i < arguments.length; _i++) {
        args[_i - 2] = arguments[_i];
    }
    var baseConfig = build_1.getWebpackConfig(log, buildConfig, 'client', 'prod');
    if (!baseConfig) {
        return Promise.reject('Error loading the webpack configuration!');
    }
    var config = webpack_merge_1.default(baseConfig, {
        plugins: [new webpack_bundle_analyzer_1.BundleAnalyzerPlugin()],
    });
    var disableHoisting = args.indexOf('disableHoisting') !== -1;
    if (disableHoisting) {
        config.plugins =
            config.plugins &&
                config.plugins.filter(function (plugin) {
                    return !(plugin instanceof webpack_1.default.optimize.ModuleConcatenationPlugin);
                });
    }
    return webpack_2.webpackPromise(log, config);
};
exports.default = exploreBundle;
//# sourceMappingURL=explore-bundle.js.map