import { BuildConfig, CreateWebpackConfigOptions } from 'lib/runtime/server';
import webpack from 'webpack';
export declare const fileLoaderConfig: (buildConfig: BuildConfig) => {
    exclude: RegExp;
    loader: string;
    options: {
        name: string;
        esModule: boolean;
    };
    test: RegExp;
};
/**
 * Base webpack configuration that is shared by the server and the client
 * - load original source maps from custom SWM dependencies
 * - compile TypeScript to JavaScript
 * - handle static files (images and fonts)
 */
declare function baseConfig(options: CreateWebpackConfigOptions): webpack.Configuration;
export default baseConfig;
