"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var webpack_1 = tslib_1.__importDefault(require("webpack"));
exports.fileLoaderConfig = function (buildConfig) { return ({
    exclude: /\/favicon.ico$/,
    loader: 'file-loader',
    options: {
        name: buildConfig.ASSETS_PATH_PREFIX + 'media/[name].[hash:8].[ext]',
        esModule: false,
    },
    test: /\.(ico|jpg|png|gif|otf|webp|svg|ttf)(\?.*)?$/,
}); };
var plugins = [new webpack_1.default.NoEmitOnErrorsPlugin()];
/**
 * Base webpack configuration that is shared by the server and the client
 * - load original source maps from custom SWM dependencies
 * - compile TypeScript to JavaScript
 * - handle static files (images and fonts)
 */
function baseConfig(options) {
    return {
        module: {
            rules: [
                exports.fileLoaderConfig(options.buildConfig),
                {
                    loader: 'file-loader',
                    options: {
                        name: options.buildConfig.ASSETS_PATH_PREFIX + 'fonts/[name].[ext]',
                        esModule: false,
                    },
                    test: /\.(eot|woff|woff2)(\?.*)?$/,
                },
            ],
        },
        plugins: plugins,
        resolve: {
            extensions: ['.ts', '.tsx', '.js', '*'],
            plugins: [],
            symlinks: false,
        },
    };
}
exports.default = baseConfig;
//# sourceMappingURL=webpack.base.js.map