"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var webpack_merge_1 = tslib_1.__importDefault(require("webpack-merge"));
var webpack_hooks_1 = tslib_1.__importStar(require("./webpack-hooks"));
var webpack_base_1 = tslib_1.__importDefault(require("./webpack.base"));
var webpack_client_1 = tslib_1.__importDefault(require("./webpack.client"));
var webpack_prod_1 = tslib_1.__importDefault(require("./webpack.prod"));
/** Webpack config for the client in production */
var config = function (options) {
    var webpackHooks = webpack_hooks_1.default(options.log, options.buildConfig.BASE);
    var filename = options.buildConfig.STATIC_RESOURCE_NAMES
        ? options.buildConfig.ASSETS_PATH_PREFIX + 'js/[name].js'
        : options.buildConfig.ASSETS_PATH_PREFIX + 'js/[name]_[chunkhash].js';
    var chunkFilename = options.buildConfig.STATIC_RESOURCE_NAMES
        ? options.buildConfig.ASSETS_PATH_PREFIX + 'js/[name].js'
        : options.buildConfig.ASSETS_PATH_PREFIX + 'js/[name]_[chunkhash].js';
    return webpack_merge_1.default(webpack_base_1.default(options), webpack_hooks_1.getHook(webpackHooks.base, options), webpack_client_1.default(options), webpack_hooks_1.getHook(webpackHooks.client, options), webpack_prod_1.default(options), webpack_hooks_1.getHook(webpackHooks.prod, options), {
        output: {
            chunkFilename: chunkFilename,
            filename: filename,
        },
        plugins: [],
    }, webpack_hooks_1.getHook(webpackHooks.clientProd, options));
};
exports.default = config;
//# sourceMappingURL=webpack.client.prod.js.map