"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var terser_webpack_plugin_1 = tslib_1.__importDefault(require("terser-webpack-plugin"));
var webpack_1 = tslib_1.__importDefault(require("webpack"));
/** Webpack settings for all production builds */
var prodConfig = function () { return ({
    devtool: 'source-map',
    mode: 'production',
    optimization: {
        minimizer: [
            new terser_webpack_plugin_1.default({
                cache: true,
                parallel: true,
                sourceMap: true,
                extractComments: false,
                terserOptions: {
                    compress: {},
                    ie8: false,
                },
            }),
        ],
    },
    plugins: [
        new webpack_1.default.optimize.AggressiveMergingPlugin(),
        new webpack_1.default.LoaderOptionsPlugin({
            minimize: true,
        }),
    ],
    resolve: {
        alias: {
            'project-watchtower/lib': 'project-watchtower/dist-es',
        },
    },
}); };
exports.default = prodConfig;
//# sourceMappingURL=webpack.prod.js.map