"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var history_1 = require("history");
var react_router_dom_1 = require("react-router-dom");
var get_transferred_state_1 = require("../../client/get-transferred-state");
var react_helmet_async_1 = require("react-helmet-async");
var locationOverrideFromSSR = get_transferred_state_1.getTransferredState('watchtower_hydrate_location');
/**
 * A wrapper around React routers Browser router
 * It takes care of hydrating error routes if they happened on the server.
 *
 * It also wraps your application in a HelmetProvider
 */
exports.WatchtowerBrowserRouter = function (_a) {
    var children = _a.children, props = tslib_1.__rest(_a, ["children"]);
    var initialLocation = react_1.default.useRef();
    return (react_1.default.createElement(react_helmet_async_1.HelmetProvider, null,
        react_1.default.createElement(react_router_dom_1.BrowserRouter, tslib_1.__assign({}, props),
            react_1.default.createElement(react_router_dom_1.Route, { render: function (routeProps) {
                    if (!initialLocation.current) {
                        initialLocation.current = routeProps.location;
                    }
                    // While still on the initial route (which was hydrated), override the url
                    // if an override came from the server
                    var locationOverride = initialLocation.current === routeProps.location &&
                        locationOverrideFromSSR
                        ? history_1.createLocation(locationOverrideFromSSR)
                        : undefined;
                    if (locationOverride) {
                        return react_1.default.createElement(react_router_dom_1.Route, { location: locationOverride }, children);
                    }
                    return react_1.default.Children.only(children);
                } }))));
};
exports.WatchtowerBrowserRouter.displayName = 'WatchtowerBrowserRouter';
//# sourceMappingURL=watchtower-browser-router.js.map