"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var open_1 = tslib_1.__importDefault(require("open"));
var webpack_1 = tslib_1.__importDefault(require("webpack"));
var assets_webpack_plugin_1 = tslib_1.__importDefault(require("assets-webpack-plugin"));
var webpack_dev_middleware_1 = tslib_1.__importDefault(require("webpack-dev-middleware"));
var webpack_hot_middleware_1 = tslib_1.__importDefault(require("webpack-hot-middleware"));
var build_1 = require("../build/build");
exports.getHotReloadMiddleware = function (log, buildConfig) {
    var config = build_1.getWebpackConfig(log, buildConfig, 'client', 'dev');
    if (!config) {
        throw new Error('Unable to load webpack config');
    }
    if (config.plugins) {
        config.plugins = config.plugins.filter(function (plugin) { return !(plugin instanceof assets_webpack_plugin_1.default); });
    }
    var compiler = webpack_1.default(config);
    var dev = webpack_dev_middleware_1.default(compiler, {
        // do not serve index.html on / route
        // https://github.com/webpack/webpack-dev-middleware/issues/153
        index: 'foobar',
        logLevel: 'silent',
        publicPath: buildConfig.PUBLIC_PATH,
        stats: 'errors-only',
    });
    var hot = webpack_hot_middleware_1.default(compiler);
    return [dev, hot];
};
exports.openBrowser = function (log, port) { return tslib_1.__awaiter(void 0, void 0, void 0, function () {
    var e_1;
    return tslib_1.__generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (process.env.NODE_ENV === 'test') {
                    return [2 /*return*/];
                }
                _a.label = 1;
            case 1:
                _a.trys.push([1, 3, , 4]);
                return [4 /*yield*/, open_1.default("http://localhost:" + port, { url: true })];
            case 2:
                _a.sent();
                return [3 /*break*/, 4];
            case 3:
                e_1 = _a.sent();
                log.warn(e_1, 'Opening browser failed');
                return [3 /*break*/, 4];
            case 4: return [2 /*return*/];
        }
    });
}); };
//# sourceMappingURL=dev.js.map