"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var webpack_1 = tslib_1.__importDefault(require("webpack"));
exports.webpackStatsConfig = {
    children: false,
    chunkModules: false,
    chunks: false,
    colors: true,
    errors: true,
    timings: true,
    warnings: true,
    /* filter export warnings when transpileOnly:true -> https://github.com/TypeStrong/ts-loader/issues/751 */
    warningsFilter: /export .* was not found in/,
};
exports.printWebpackStats = function (log, stats) {
    var statsString = stats.toString(exports.webpackStatsConfig);
    log.info(statsString);
};
exports.webpackPromise = function (log, config) {
    return new Promise(function (resolve, reject) {
        webpack_1.default(config).run(function (err, stats) {
            if (err) {
                log.error({ err: err }, 'Failed to compile');
                reject(err);
            }
            else {
                exports.printWebpackStats(log, stats);
                if (stats.hasErrors()) {
                    reject();
                }
                else {
                    resolve();
                }
            }
        });
    });
};
//# sourceMappingURL=webpack.js.map