import { __awaiter } from "tslib";
import { default as watchServer } from '../watch/server';
import build from './build';
import clean from './clean';
import start from './start';
/**
 * Rebuilds the client on changes
 * @param args
 * - server: Also watches and rebuilds server
 * - client: Only run client without a server
 */
const watch = (log, buildConfig, watchProcessEnv, ...args) => __awaiter(void 0, void 0, void 0, function* () {
    const { HAS_SERVER } = buildConfig;
    const additionalStartParams = [];
    const env = Object.assign({}, watchProcessEnv);
    yield clean(log, buildConfig);
    const isServerWatch = HAS_SERVER && args.indexOf('server') !== -1;
    if (isServerWatch) {
        return watchServer(log, buildConfig);
    }
    const clientMode = !HAS_SERVER || args.indexOf('client') !== -1;
    if (clientMode) {
        return start(log, buildConfig, env, 'watch', 'client', ...additionalStartParams);
    }
    else {
        yield build(log, buildConfig, 'server', 'dev');
        return start(log, buildConfig, env, 'watch', ...additionalStartParams);
    }
});
export default watch;
//# sourceMappingURL=watch.js.map