import { BuildConfig } from 'lib/runtime/server';
import { Logger } from 'typescript-log';
import webpack from 'webpack';
import { BuildEnvironment, BuildTarget } from '../types';
export declare const TARGETS: BuildTarget[];
export declare const ENVIRONMENTS: BuildEnvironment[];
/**
 * Get the webpack configuration for a given target and environment.
 * This will be the custom configuration if a file is present in
 * config/webpack.<target>.<environment>.js, or the default one otherwise
 */
export declare function getWebpackConfig(log: Logger, buildConfig: BuildConfig, target: BuildTarget, environment: BuildEnvironment): webpack.Configuration | undefined;
