import { Logger } from 'typescript-log';
import { BuildConfig, RuntimeConfig } from '../server';
export declare const getConfig: (log: Logger, root: string) => {
    ASSETS_PATH_PREFIX: string;
    BASE: string;
    CLIENT_ENTRY: string;
    ADDITIONAL_CIENT_ENTRIES?: {
        [name: string]: string[];
    } | undefined;
    CLIENT_POLYFILLS: string | false;
    OUTPUT: string;
    HAS_SERVER: boolean;
    DEV_SERVER_PORT: number;
    PUBLIC_PATH: string;
    SERVER_ENTRY: string;
    SERVER_BUNDLE_ALL: boolean;
    SERVER_BUNDLE_ALL_EXCEPT?: string[] | undefined;
    SERVER_INCLUDE_IN_BUNDLE: string[];
    SERVER_PUBLIC_DIR: string | false;
    STATIC_RESOURCE_NAMES: boolean;
    STATS_ENV: {
        [key: string]: string;
    };
    STATS_PAGES: {
        [name: string]: string;
    };
    SMP?: boolean | undefined;
    TS_CONFIG_CLIENT?: string | undefined;
    TS_CONFIG_SERVER?: string | undefined;
    BABEL_CONFIG_CLIENT?: string | undefined;
    BABEL_CONFIG_SERVER?: string | undefined;
};
export declare const watchtowerConfigFilename = "watchtower.config";
export declare const getRuntimeConfigFromBuildConfig: (buildConfig: BuildConfig) => RuntimeConfig;
export declare const getRuntimeConfig: (log: Logger) => RuntimeConfig;
