import React from 'react';
import { HelmetProvider } from 'react-helmet-async';
import { StaticRouter } from 'react-router-dom';
import { functionTimer } from '../../universal';
export function renderApp(currentLocation, renderFn, log, appRender, promiseTracker) {
    // first create a context for <StaticRouter>, it's where we keep the
    // results of rendering for the second pass if necessary
    const context = {};
    const helmetContext = {};
    const renderResult = functionTimer('Server side render', () => renderFn(React.createElement(HelmetProvider, { context: helmetContext },
        React.createElement(StaticRouter, { location: currentLocation, context: context }, appRender(promiseTracker)))), log);
    return {
        context,
        head: helmetContext.helmet,
        renderResult,
    };
}
//# sourceMappingURL=render-app-to-string.js.map