import webpack from 'webpack';
import { BundleAnalyzerPlugin } from 'webpack-bundle-analyzer';
import merge from 'webpack-merge';
import { getWebpackConfig } from '../build/build';
import { webpackPromise } from '../util/webpack';
/**
 * Opens the webpack-bundle-analyzer for the client production bundle
 */
var exploreBundle = function (log, buildConfig) {
    var args = [];
    for (var _i = 2; _i < arguments.length; _i++) {
        args[_i - 2] = arguments[_i];
    }
    var baseConfig = getWebpackConfig(log, buildConfig, 'client', 'prod');
    if (!baseConfig) {
        return Promise.reject('Error loading the webpack configuration!');
    }
    var config = merge(baseConfig, {
        plugins: [new BundleAnalyzerPlugin()],
    });
    var disableHoisting = args.indexOf('disableHoisting') !== -1;
    if (disableHoisting) {
        config.plugins =
            config.plugins &&
                config.plugins.filter(function (plugin) {
                    return !(plugin instanceof webpack.optimize.ModuleConcatenationPlugin);
                });
    }
    return webpackPromise(log, config);
};
export default exploreBundle;
//# sourceMappingURL=explore-bundle.js.map