import rimraf from 'rimraf';
var clean = function (log, paths) {
    if (Array.isArray(paths)) {
        return Promise.all(paths.map(function (path) { return clean(log, path); }));
    }
    return new Promise(function (resolve, reject) {
        rimraf(paths, function (err) {
            if (err) {
                log.error({ err: err }, 'Clean error');
                reject(err);
            }
            else {
                resolve();
            }
        });
    });
};
export default clean;
//# sourceMappingURL=index.js.map