import { __awaiter, __generator } from "tslib";
import open from 'open';
import webpack from 'webpack';
import AssetsPlugin from 'assets-webpack-plugin';
import webpackDevMiddleware from 'webpack-dev-middleware';
import webpackHotMiddleware from 'webpack-hot-middleware';
import { getWebpackConfig } from '../build/build';
export var getHotReloadMiddleware = function (log, buildConfig) {
    var config = getWebpackConfig(log, buildConfig, 'client', 'dev');
    if (!config) {
        throw new Error('Unable to load webpack config');
    }
    if (config.plugins) {
        config.plugins = config.plugins.filter(function (plugin) { return !(plugin instanceof AssetsPlugin); });
    }
    var compiler = webpack(config);
    var dev = webpackDevMiddleware(compiler, {
        // do not serve index.html on / route
        // https://github.com/webpack/webpack-dev-middleware/issues/153
        index: 'foobar',
        logLevel: 'silent',
        publicPath: buildConfig.PUBLIC_PATH,
        stats: 'errors-only',
    });
    var hot = webpackHotMiddleware(compiler);
    return [dev, hot];
};
export var openBrowser = function (log, port) { return __awaiter(void 0, void 0, void 0, function () {
    var e_1;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (process.env.NODE_ENV === 'test') {
                    return [2 /*return*/];
                }
                _a.label = 1;
            case 1:
                _a.trys.push([1, 3, , 4]);
                return [4 /*yield*/, open("http://localhost:" + port, { url: true })];
            case 2:
                _a.sent();
                return [3 /*break*/, 4];
            case 3:
                e_1 = _a.sent();
                log.warn(e_1, 'Opening browser failed');
                return [3 /*break*/, 4];
            case 4: return [2 /*return*/];
        }
    });
}); };
//# sourceMappingURL=dev.js.map