export var prettyJson = function (obj) { return JSON.stringify(obj, undefined, 2); };
// tslint:disable:no-console
var log = function (method, args) {
    if (args.length === 0) {
        return;
    }
    if (typeof args[0] === 'string') {
        // eslint-disable-next-line no-console
        return console[method](args[0]);
    }
    // eslint-disable-next-line no-console
    console[method](prettyJson(args[1]), args[0]);
};
/** Logger interface compatible console logger, does't log level info in message */
export var cliLogger = {
    child: function () { return cliLogger; },
    debug: function () {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        return log('debug', args);
    },
    error: function () {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        return log('error', args);
    },
    fatal: function () {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        return log('error', args);
    },
    info: function () {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        return log('log', args);
    },
    trace: function () {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        return log('trace', args);
    },
    warn: function () {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        return log('warn', args);
    },
};
//# sourceMappingURL=log.js.map